/*******************************************************************************
*
* File:         ap_demo_main.c
* Description:  ap demo main file
* Version:      V0.1
* Date:         2022-04-15
* Author:       Jaya
 *******************************************************************************/

#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "module_demo_main.h"

void module_demo_main()
{
#if _MODULE_DEMO_DSI_TX_EN
    demo_dsi_tx_case();
#endif

#if _MODULE_DEMO_DSI_RX_EN
    demo_hal_dsi_rx_case();
#endif

#if _MODULE_DEMO_TIMER_EN
    demo_timer_case();
#endif

#if _MODULE_DEMO_WDG_EN
    demo_wdg_case();
#endif

#if _MODULE_DEMO_GPIO_EN
    demo_gpio_case();
#endif

#if _MODULE_DEMO_SWIRE_EN
    demo_hal_swire();
#endif

#if _MODULE_DEMO_SPI_EN
    demo_hal_spi();
#endif

#if _MODULE_DEMO_I2C_EN
    demo_hal_i2c();
#endif

#if _MODULE_DEMO_FLASH_EN
    demo_hal_flash();
#endif

#if _MODULE_DEMO_PWM_EN
    demo_hal_pwm();
#endif

#if _MODULE_DEMO_PWR_EN
    demo_hal_pwr();
#endif

#if _MODULE_DEMO_UART_EN
    demo_hal_uart_case();
#endif

#if _MODULE_DEMO_CRC_EN
    demo_hal_crc_case();
#endif

}
